Subject: [bug#49577] [PATCH] Add python-pmbootstrap

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 24 May 2023 20:16:17 -0400

tags 49577 +moreinfo
quit

Hi Jorge,

Maxim Cournoyer <[email-masked]> writes:

> Hi Petr,
>
> phodina <[email-masked]> writes:
>
>> Hi Maxim,
>>
>> here's update of the package. I moved to git repo as it has test suite packaged.
>
> Thank you!
>
>> However, currently 44 tests fail, 80 pass.
>>
>> The reason is they require network connectivity (mostly git tests, can
>> be added to list of dependencies), then some require chroot (that
>> might be dropped and run in guix isolated environment), sudo (again
>> remove and use TMP location).
>
> Oh.  That's more than half the tests failing.  I guess the whole test
> suite could be disabled with a comment, if possible with a link
> requesting upstream to make it easy to skip network-requiring tests via
> a flag or something.

The status is unchanged; the ball is in Petr's camp, or someone
interested enough in the patch to make the changes suggested.

I'm using this opportunity to gently ping Petr :-).

-- 
Thanks,
Maxim